# StepRepr_HSequenceOfRepresentationItem.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_StepRepr_HSequenceOfRepresentationItem.hxx>`
`#include <StepRepr_SequenceOfRepresentationItem.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_StepRepr_RepresentationItem.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_StepRepr_RepresentationItem
#define | Item_hxx <StepRepr_RepresentationItem.hxx>
#define | TheSequence StepRepr_SequenceOfRepresentationItem
#define | TheSequence_hxx <StepRepr_SequenceOfRepresentationItem.hxx>
#define | TCollection_HSequence StepRepr_HSequenceOfRepresentationItem
#define | TCollection_HSequence_hxx <StepRepr_HSequenceOfRepresentationItem.hxx>
#define | Handle_TCollection_HSequence Handle_StepRepr_HSequenceOfRepresentationItem
#define | TCollection_HSequence_Type_() StepRepr_HSequenceOfRepresentationItem_Type_()

## Functions

Handle_StepRepr_HSequenceOfRepresentationItem | ShallowCopy (const Handle_StepRepr_HSequenceOfRepresentationItem &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_StepRepr_HSequenceOfRepresentationItem

#define Item Handle_StepRepr_RepresentationItem

#define Item_hxx <StepRepr_RepresentationItem.hxx>

#define TCollection_HSequence StepRepr_HSequenceOfRepresentationItem

#define TCollection_HSequence_hxx <StepRepr_HSequenceOfRepresentationItem.hxx>

#define TCollection_HSequence_Type_ | (

)

StepRepr_HSequenceOfRepresentationItem_Type_()

#define TheSequence StepRepr_SequenceOfRepresentationItem

#define TheSequence_hxx <StepRepr_SequenceOfRepresentationItem.hxx>

## Function Documentation

Handle_StepRepr_HSequenceOfRepresentationItem ShallowCopy | ( | const Handle_StepRepr_HSequenceOfRepresentationItem & | me | ) | `[inline]`